
; from fillBoneTable

 ld a,(centerpiece)
 ld l,a
 ld h,a
 call h_times_10_plus_l
 ld a,l	; h*l < 255, 1 byte

 ; DIVIDE BY 8
 ; b is position in bit
 ; a bytes to shift
 push af
  and 111b
  ld b,a
 pop af
 sra a
 sra a
 sra a

 ld hl,boneTable
 ld e,a
 ld d,0
 add hl,de

 ; bone chosen
 ;  reset the byte
 call setMaskB
 ld a,(hl)
 and b
 ld (hl),a
 ret

getBonePOPdebug:
 B_CALL GrBufClr

  ld hl,18*256
  ld (pencol),hl
 ld hl,track1
 call valueAtHL
 ld a,(track1)
 call showBits

 ld hl,30*256
 ld (pencol),hl
 ld hl,track2
 call valueAtHL
 inc hl
 call valueAtHL

 B_CALL grbufcpy
 B_CALL getkey


getBonePOP:
  pop hl

;----------
; GET BONE
;----------
;out: a=side1 of domino, b=side2 of domino
;-----------------------------------------
getBone:
 call getrand100
 ld (bonecursor),a

 ; DIVIDE BY 8
 ; b is position in bit
 ; a bytes to shift
 push af
  and 111b
  ld b,a
 pop af
 sra a
 sra a
 sra a

 ; add offset
 ld e,a
 ld d,0
 ld hl,boneTable
 add hl,de

 ; is bit set?
 push hl
  ld a,(hl)
  call checkBitB
  jr z,getBonePOP		; already taken ... get another
 pop hl

 ; bone chosen
 ;  reset the byte
 call setMaskB
 ld a,(hl)
 and b
 ld (hl),a

 ; determine what domino to give
 ld a,(bonecursor)
 call divBy10
 ;A,B = sides of domino
 ret

setMaskB:
 ld a,b
 or a
 jr z,setMask0

 ld a,10000000b
setMaskLoop:
 rr a
 djnz setMaskLoop

 xor 255
 ld b,a
 ret

setMask0:
 ld b,01111111b
 ret
