; winner.asm

winner:
 ld hl,winMessage0
 call showMessage

 B_CALL grbufclr

 call showScoreboard
 B_CALL grbufcpy
 B_CALL getkey
 jp roundLoop

showScoreboard:
 ld hl,24
 ld (pencol),hl
 ld hl,introText4
 call vputsApp

 ld hl,introText5
 call vputsApp

 ld hl,256*8+24
 ld (pencol),hl
 ld hl,scoreText0
 call vputsApp

 ; show round number
  ld a,(round)
  inc a
  call valueForA

 ld hl,scoreText1
 call vputsApp

 ; TOTAL (current)

 ld hl,256*24+40
 ld (pencol),hl
 ld hl,playerName1
 call vputsApp

 ld hl,256*32+40
 ld (pencol),hl
 ld hl,playerName2
 call vputsApp

 ld hl,256*40+40
 ld (pencol),hl
 ld hl,playerName3
 call vputsApp

 ; show player scores
 ld b,3
showPlayerScoresLoop:
 push bc
  ld a,b
  sla a
  sla a
  sla a
  ld b,16
  add a,b
  ld h,a
  ld l,10
  ld (pencol),hl
 pop bc
 push bc
  ld e,b
  ld d,0
  ld hl,round		; score1 - 1
  add hl,de
  ld a,(hl)
  call valueForA
 pop bc
 push bc
  dec b
  sla b
  sla b
  sla b
  sla b
  sla b
  sla b ; x64
  ld e,b
  ld d,0
  ld hl,bones1
  add hl,de
  call countPoints
 pop bc
 push bc

  ld a,LlParen
  B_CALL vputmap

  ld a,(cursor)
  call valueForA

  ld a,LrParen
  B_CALL vputmap

 pop bc
 djnz showPlayerScoresLoop

 ret


; in: hl = ptr to player's bone table
countPoints:
 xor a
 ld (cursor),a
countPointsLoop:
 ld a,(hl)
 and 1111b
 inc hl
 ld b,(hl)
 or a
 jr z,exitCPloop

 add a,b
 ld b,a
 ld a,(cursor)
 add a,b
 ld (cursor),a
 inc hl
 jr countPointsLoop

exitCPloop:
 ld a,(cursor)
 cp 50
 ret c
 ld a,50
 ld (cursor),a
 ret



