; ANIMATION.ASM
;  animation is very important, 
;  this filewill help me remember that

playDoubleAnimation:
 ld b,4
showPiecesForDoubleLoop:
 push bc
 ld e,16
 ld d,16
 
 ld a,4
 sub b
 push af
  sla a
  sla a
  sla a
  sla a
  add a,d
  ld d,a
 pop af 
 push af
 push de
  call drawDomino
 pop de
  ld a,8
  add a,d
  ld d,a
 pop af
 push de
  call drawDomino
 pop de
 ld e,40	; 42?
 ld a,d
 sub 8
 ld d,a
 pop bc
  
 push bc
 ld a,4
 add a,b
 push af
 push de
  call drawDomino
 pop de
  ld a,8
  add a,d
  ld d,a
 pop af
  call drawDomino
 pop bc
 djnz showPiecesForDoubleLoop
 ret

removeBoneAnimation:
 ; remove bone animation
 ld a,(bonecursor)
 sla a
 sla a
 sla a ; a*8
 ld c,a

 ld a,55
 sub c
 ld c,a

 ld b,8
loseBoneAnimationOuter:
 push bc
 
  ; start = plotscreen+b*12
  ; end = start-12

  ld a,b
  dec b
  ld e,a
  add a,a
  add a,e
  add a,a
  add a,a
  ld e,a
  ld d,0

  ld hl,plotsscreen ; (0,0)
  add hl,de
  push hl
  pop de
  ld bc,12
  add hl,bc

 pop bc
 push bc

  ld b,c ; ld b,c
loseBoneAnimationInner:
  push bc
   ldi
	ldi
	ldi

	push de
	 ld de,9
	 add hl,de
	pop de

	push hl
	 ex de,hl
	 push de
	  ld de,9
	  add hl,de
	 pop de
	 ex de,hl
	pop hl

  pop bc
  djnz loseBoneAnimationInner

  ; erase last line
  ld (hl),0
  inc hl
  ld (hl),0

  ; now draw it
  ei
  halt
  halt
  halt

  B_CALL grbufcpy
  ;B_CALL getkey

  pop bc
  djnz loseBoneAnimationOuter

  ld hl,plotsscreen
  ld (hl),255
  inc hl
  ld (hl),255
  inc hl
  ld (hl),0
  B_CALL grbufcpy
  ret
