; track format
;  each entry is 4 bytes
;  there are 100 pieces

; db <piece #1>,<piece #2>,<x>,<y>
;  piece #1 byte (rftepppp)
;   r (0=horiz/1=vertical)
;   f (1=first move/0=not first)
;   t (0=no train/1=train on)
;   e (end of the track)
;   p (4 bits to signify piece from 0-9)
centerpiecedat:
 db 4,4,48,28
 db 01010000b

trackdat:
 db 01010000b
 db 0,0,0,0
 db 0,0,0,0
 db 0,0,0,0

track4dat:
 db 01110000b
 db 0,0,0,0
 db 0,0,0,0
 db 0,0,0,0

; y-center = 32
; x-center = 60

; db <x>,<y>
trainLocations:
 db 64,28	; p1-1
 db 56,32	; p2-1
 db 40,28	; p3-1
 db 56,16	; tt-1
 db 80,28	; p1-2
 db 56,48	; p2-2
 db 24,28	; p3-2
 db 56,0		; tt-2

startLocation:
 db 64,28
 db 52,36
 db 32,28
 db 52,12	; because it must be vertical

boneData:
 db 0,0

 db 1,0
 db 1,1

 db 2,0
 db 2,1
 db 2,2

 db 3,0
 db 3,1
 db 3,2
 db 3,3

 db 4,0
 db 4,1
 db 4,2
 db 4,3
 db 4,4

 db 5,0
 db 5,1
 db 5,2
 db 5,3
 db 5,4
 db 5,5

 db 6,0
 db 6,1
 db 6,2
 db 6,3
 db 6,4
 db 6,5
 db 6,6

 db 7,0
 db 7,1
 db 7,2
 db 7,3
 db 7,4
 db 7,5
 db 7,6
 db 7,7

 db 8,0
 db 8,1
 db 8,2
 db 8,3
 db 8,4
 db 8,5
 db 8,6
 db 8,7
 db 8,8

 db 9,0
 db 9,1
 db 9,2
 db 9,3
 db 9,4
 db 9,5
 db 9,6
 db 9,7
 db 9,8
 db 9,9

 db 10,0
 db 10,1
 db 10,2
 db 10,3
 db 10,4
 db 10,5
 db 10,6
 db 10,7
 db 10,8
 db 10,9
 db 10,10

 db 11,0
 db 11,1
 db 11,2
 db 11,3
 db 11,4
 db 11,5
 db 11,6
 db 11,7
 db 11,8
 db 11,9
 db 11,10
 db 11,11

 db 12,0
 db 12,1
 db 12,2
 db 12,3
 db 12,4
 db 12,5
 db 12,6
 db 12,7
 db 12,8
 db 12,9
 db 12,10
 db 12,11
 db 12,12

