;MESSAGE.ASM
; show a message

;in: hl = message
showMessage:
 push hl
 call drawMessageBox

 ; center algorithm
 ;  x-start = 48 - (string length * 2)
 pop hl
 push hl
 ld a,(hl)
 or a
 jr nz,messageReadyToCenter

 inc hl
messageReadyToCenter:
 ld b,0
messageCenterLoop:
 ld a,(hl)
 or a
 jr z,messageCentered
 inc hl
 cp Lspace
 jr z,messageCenterLoop
 inc b
 jr messageCenterLoop

messageCentered:
 sla b
 ld a,48
 sub b
 ld (pencol),a 
 ld a,30
 ld (penrow),a
 ;ld hl,256*30+20
 ;ld (pencol),hl
 pop hl
 ld a,(hl)
 or a
 jr z,justShowMessage

 call vputsApp
 B_CALL grbufcpy
 ei
 halt
 B_CALL getkey
 ret

justShowMessage:
 inc hl
 call vputsApp
 ret

drawMessageBox:
 ; 24*12+2 = 290
 ld hl,plotsscreen+290
 ld de,plotsscreen+291
 ld (hl),255
 ld bc,7
 ldir

 ld hl,plotsscreen+302
 ld c,16
messageBoxOuter:
 ld b,6
 ld (hl),10000000b
 inc hl
messageBoxInner:
 ld (hl),0
 inc hl
 djnz messageBoxInner

 ld (hl),1
 inc hl
 inc hl
 inc hl
 inc hl
 inc hl
 dec c
 jr nz,messageBoxOuter

 ; 40*12+2 = 482
 ld hl,plotsscreen+482
 ld de,plotsscreen+483
 ld (hl),255
 ld bc,7
 ldir
 ret
