;MOVES.ASM
; validates your move

; future plans:
;  rename labels
;
;  change it to a state machine
;   easier for doubles

checkPlaceNOW:
 ld a,(player)
 ld b,a

 ; what piece are we checking
 ld a,(cursor)
 cp b
 jr z,okayMoveAttempted

 call endOfTrackA
 bit 5,a
 jp z,mMessage0
 jr okayMoveCheckFirst

okayMoveAttempted:
 call endOfTrackA
 ld a,(hl)
okayMoveCheckFirst:
 ; are there any pieces on the train?

 ld a,b
 or a
 jr z,checkMoveFirstPiece		; "NO"

 ;bit 6,a
 ;jr nz,checkMoveFirstPiece	; leave if "NO"
 dec hl
 dec hl
 dec hl
 jr okayMoveNotFirst

checkMoveFirstPiece:
 ld hl,centerpiece+1

okayMoveNotFirst:
  ; do we read the front or back of last piece
 ld a,(cursor)
 cp 2
 jr nc,gcpB

 ; players 1 and 2
 ; use back of last piece
 call getCurrentPiece ; <bones.asm>
 and 1111b
 ld b,a
 ld a,(hl)
 jr gcpAB

; use front of last piece
gcpB:
 call getCurrentPiece
 ld a,b
 and 1111b	; take away data bits
 ld b,a
 dec hl
 ld a,(hl)

gcpAB:
 and 1111b
 ; are pieces the same
 cp b
 jr nz,mMessage1

 scf
 ret

mMessage1:
 ld hl,movesMessage1
 jp showMessage
mMessage0:
 ld hl,movesMessage0
 jp showMessage

movesMessage0: db "Invalid Move",0
movesMessage1: db "pieces dont match",0


