; ROUND.ASM

startRound:
 ; show the current round!!!

 ; show the scoreboard

 ; (cover)
 ; bit 0:
 ;  (0/1) = cover up all / uncover
; ld a,00000001b
 xor a
 ld (cover),a

 ld a,(round)
 ld b,a
 ld a,12
 sub b
 ld hl,centerpiece
 ld (hl),a
 inc hl
 ld (hl),a
 call loadTracks
 call fillBoneTable

 ld hl,bones1
 ld b,8
 call fillWithBones

 ld hl,bones2
 ld b,8
 call fillWithBones

 ld hl,bones3
 ld b,8
 call fillWithBones

 ld a,1111b
 ld (double),a
 xor a
 ld (maxScroll),a
 ld (vm),a
 jr metaPlayerOKAY

metaLoop:
 ld a,(double)
 and 01111111b
 ld (double),a

 ld hl,(curPlayer)
 ld a,(hl)
 or a
 jr nz,notWinner
 inc hl
 ld a,(hl)
 or a
 jr nz,notWinner
 inc hl
 ld a,(hl)
 or a
 jr nz,notWinner
 inc hl
 ld a,(hl)
 or a
 jr nz,notWinner
 jp winner

notWinner:

 ld a,(player)
 inc a
 cp 3
 jr c,metaPlayerOKAY

 xor a
metaPlayerOKAY:
 ld (player),a

 ld hl,bones1
 sla a
 sla a
 sla a
 sla a
 sla a
 ld e,a
 ld d,0
 add hl,de
 add hl,de
 ld (curPlayer),hl

 call getCurrentPiecesLeft
 ld a,b
 sub 7
 jr nc,maxScrollResetOK

 xor a
maxScrollResetOK:
 ld (maxScroll),a

 ; if player is human
 jp selectPiece
