;------------------


showPlacementCursor2:
 ld a,(cursor)
 ld hl,poss
 sla a
 sla a
 ld e,a
 ld d,0
 add hl,de

 call getCurrentPoss
 call getCurrentPiece
 
 ; convert for vert/horiz
 and 1111111b
 ld c,a
 ld a,(cursor)
 bit 0,a
 jr z,drawCursorNOW2 ; not vertical

 ld a,c
 or 10000000b
 ld c,a

drawCursorNOW2:
 ld hl,tempTrack
 ld (hl),c
 inc hl
 ld (hl),b
 inc hl
 ld (hl),d
 inc hl
 ld (hl),e
 inc hl
 ld (hl),01010000b
 ld hl,tempTrack
 jp drawTrack

getCurrentPoss:
 push hl
 ld a,(cursor)
 sla a
 sla a
 ld e,a
 ld d,0
 ld hl,poss
 add hl,de
 ld a,(hl)
 inc hl
 ld b,(hl)
 inc hl
 ld d,(hl)
 inc hl
 ld e,(hl)
 pop hl
 ret






 ; change next place for piece
 ld a,(cursor)
 sla a
 sla a
 ld e,a
 ld d,0
 ld hl,nextPlace
 add hl,de
 ld a,(cursor)
 or a
 jr z,npRight
 cp 1
 jr z,npDown
 cp 2
 jr z,npLeft

 ; npUp
 inc hl
 ld a,(hl)
 sub 16
 ld (hl),a
 ret

npRight:
 ld a,(hl)
 add a,16
 ld (hl),a
 ret

npDown:
 inc hl
 ld a,(16)
 add a,16
 ld (hl),a
 ret

npLeft:
 ld a,(hl)
 sub 16
 ld (hl),a

 ; next players move
 ret